% Parameterdatei und Berechnungsdatei zur Simulation des Rotary Flexible
% Joint
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%5

clear
close all;
clc;

%% Parameter des Systems
% (vgl. Angabe und Maple-Datei)

parRFJ.l_a      = 300e-3;                       %m   - Lnge des Auslegers
parRFJ.b_a      = 20e-3;                        %m   - Breite des Auslegers
parRFJ.h_a      = 5.7e-3;                       %m   - Dicke des Auslegers
parRFJ.r1       = 95e-3;                        %m   - Abstand der Federbefestigung am Ausleger
parRFJ.r2       = 30e-3;                        %m   - Abstand der Federbefestigung in Querrichtung am Trger
parRFJ.r3       = 30e-3;                        %m   - Abstand der Federbefestigung in Lngsrichtung am Trger
parRFJ.l_f0     = 34.7e-3;                      %m   - Entspannte Federlnge
parRFJ.c_f      = 2.212389794502013e+02;        %m   - Federkonstante 
parRFJ.rho_a    = 2700;                         %kg  - Dichte des Auslegermaterials (Aluminium)   
parRFJ.d_a      = 6.423918468668059e-04;        %Nms - viskoser Reibkoeffizient des Auslegers
parRFJ.d_ac     = 7.398653439754478e-04;        %Nm  - coulombscher Reibkoeffizient des Auslegers
parRFJ.m_a      = parRFJ.rho_a*parRFJ.l_a*parRFJ.b_a*parRFJ.h_a;    %kg - Gewicht des Auslegers
parRFJ.I_a_zz   = 1/12*parRFJ.m_a*(parRFJ.b_a^2 + parRFJ.l_a^2);    %kgm^2 - Trgheitsmoment um Schwerpunkt 
parRFJ.I_t_zz   = 10e-5 + 16e-5 + 1.02e-3;      %kgm^2 - Trgheitsmomenet der Trgerplatte 
parRFJ.d_t      = 0.049774100215712;            %Nms   - visikoser Reibparameter des Trgers
parRFJ.d_tc     = 0.014272351352222;            %Nm    - coulombscher Reibparameter des Trgers
parRFJ.omega_t0 = 1/33.30879;                   %s/rad -  Koeffizient fr Steilheit der Reibungkennlinie des Trgers


%% Anfangsbedingungen
parRFJ.phi_a_0=0;
parRFJ.phi_t_0=0;
parRFJ.omega_a_0=0;
parRFJ.omega_t_0=0;

%% Ruhelagen des Systems
% Einzige physikalisch sinnvolle ist bei 0 gegeben
parRFJ.phi_a_R=0;
parRFJ.phi_t_R=0;
parRFJ.omega_a_R=0;
parRFJ.omega_t_R=0;
